Package org.jcsp.plugNplay.ints

# Class GenerateInt

java.lang.Object
org.jcsp.plugNplay.ints.GenerateInt

All Implemented Interfaces:
  `CSProcess`

public final class GenerateInt extends Object implements CSProcess
Generates an infinite (constant) sequence of `int`s.

## Process Diagram

## Description

`GenerateInt` is a process that generates an infinite sequence of the integer, `n`, with which it is configured.

## Channel Protocols

Output Channels
out | int | All channels in this package carry integers.

Author:
  P.H. Welch and P.D. Austin

## Constructor Summary

Constructors
Constructor
Description
`GenerateInt(ChannelOutputInt out, int n)`
Construct a new `GenerateInt` process with the output channel `out`.

## Method Summary

Modifier and Type
Method
Description
`void`
`run()`
The main body of this process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GenerateInt

public GenerateInt(ChannelOutputInt out, int n)
Construct a new `GenerateInt` process with the output channel `out`.

Parameters:
  `out` - the output channel
  `n` - the number to generate

## Method Details

### run

public void run()
The main body of this process.

Specified by:
  `run` in interface `CSProcess`